{ pkgs ? import <nixpkgs> { }, nur ? import (builtins.fetchTarball
  "https://github.com/nix-community/NUR/archive/master.tar.gz") {
    inherit pkgs;
  } }:

pkgs.buildGoPackage {
  pname = "xatci";
  version = "latest";
  goPackagePath = "tulpa.dev/matriski/xatci";
  src = ./.;
  goDeps = ./deps.nix;
  allowGoReference = false;

  preBuild = ''
    export CGO_ENABLED=0
    buildFlagsArray+=(-pkgdir "$TMPDIR")
  '';
}
